Submit task data
deprecated
Submit customer identity data, documents, and verification inputs to a GBG GO journey task. Deprecated.
POST
/
journey
/
task
/
update
Submit task data
curl --request POST \
--url https://eu.platform.go.gbgplc.com/v2/captain/journey/task/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"intent": "Complete",
"instanceId": "PiIbYsgiHp4R8JPz2vU5Y9l4",
"taskId": "Tkob6dMMHp4R8JPz2vU5Y9l4",
"context": {
"subject": {
"identity": {
"currentAddress": {
"country": "GBR",
"postalCode": "BA133BN",
"locality": "Westbury",
"thoroughfare": "High Street",
"building": "4",
"administrativeArea": "Wilts"
},
"dateOfBirth": "1967-01-01",
"firstName": "pari",
"middleNames": [
"c"
],
"lastNames": [
"powell"
]
}
}
}
}
'import requests
url = "https://eu.platform.go.gbgplc.com/v2/captain/journey/task/update"
payload = {
"intent": "Complete",
"instanceId": "PiIbYsgiHp4R8JPz2vU5Y9l4",
"taskId": "Tkob6dMMHp4R8JPz2vU5Y9l4",
"context": { "subject": { "identity": {
"currentAddress": {
"country": "GBR",
"postalCode": "BA133BN",
"locality": "Westbury",
"thoroughfare": "High Street",
"building": "4",
"administrativeArea": "Wilts"
},
"dateOfBirth": "1967-01-01",
"firstName": "pari",
"middleNames": ["c"],
"lastNames": ["powell"]
} } }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
intent: 'Complete',
instanceId: 'PiIbYsgiHp4R8JPz2vU5Y9l4',
taskId: 'Tkob6dMMHp4R8JPz2vU5Y9l4',
context: {
subject: {
identity: {
currentAddress: {
country: 'GBR',
postalCode: 'BA133BN',
locality: 'Westbury',
thoroughfare: 'High Street',
building: '4',
administrativeArea: 'Wilts'
},
dateOfBirth: '1967-01-01',
firstName: 'pari',
middleNames: ['c'],
lastNames: ['powell']
}
}
}
})
};
fetch('https://eu.platform.go.gbgplc.com/v2/captain/journey/task/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"instanceId": "<string>",
"taskId": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The intent of the request.
Example:
"Complete"
Unique identifier for the active journey instance.
Example:
"PiIbYsgiHp4R8JPz2vU5Y9l4"
Unique identifier for the task being updated.
Example:
"Tkob6dMMHp4R8JPz2vU5Y9l4"
The data required to complete the task.
Show child attributes
Show child attributes
Was this page helpful?
Previous
Fetch journey stateFetch the current state of a GBG GO journey instance to track progress, outcomes, and completion status.
Next
⌘I
Submit task data
